Welcome to PolyGit
==================

A streamlined app that lets you view and edit your Git repositories from anywhere.

### Git Features

* Support for many Git commands (Checkout, Merge, Rebase and much more)
* Commit graph visualization
* Add branches and tags
* Stash and apply changes
* Multiple remotes
* Amend commits

### Editing Features

* Syntax highlighting for 75+ languages
* Keyboard shortcuts
* Custom virtual keys
* Markdown and HTML previews
* Find and Replace
* Line numbers

### Cloning a Repository (HTTPS)

1. Go to the Repositories screen.
2. Select _Clone Repository_.
3. Enter the HTTPS URL of the repository you would like to clone.
4. Select _Clone_.
5. When prompted, enter the credentials for your Git provider. 
6. If you have 2-factor auth enabled, you may need to generate a custom password with your provider.
* Github: [Personal access token](https://docs.github.com/github/authenticating-to-github/creating-a-personal-access-token)
* BitBucket: [App password](https://support.atlassian.com/bitbucket-cloud/docs/app-passwords/)
* GitLab: [Personal access token](https://docs.gitlab.com/ee/user/profile/personal_access_tokens.html)
7. The repository will begin cloning to your device!

### Cloning a Repository (SSH)

1. Go to the Repositories screen.
2. Select _Clone Repository_.
3. Enter the SSH URL of the repository you would like to clone.
4. Select _Clone_.
5. When prompted to authenticate, select _Export Public Key_ and then _Copy Key_. 
6. Register the public SSH key with your Git provider.
* Github: [SSH keys](https://docs.github.com/github/authenticating-to-github/adding-a-new-ssh-key-to-your-github-account)
* BitBucket: [SSH keys](https://support.atlassian.com/bitbucket-cloud/docs/set-up-an-ssh-key/)
* GitLab: [SSH keys](https://docs.gitlab.com/ee/ssh/#adding-an-ssh-key-to-your-gitlab-account)
7. Select _OK_ to go back to the Clone screen.
8. Select _Clone_.
9. The repository will begin cloning to your device!

### Help & Feedback

Have a question, suggestion or problem? We'd love to hear from you. Send us an email or tweet.

Email: polygitapp@gmail.com
Twitter: @polygitapp
Website: http://www.polygitapp.com
